<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div>';

switch($_GET[a])
	{
    default:
    echo '
	<div class="money">Профиль ['.$user[country].']</div>
	<a class="razd" href="./shop.php">[Магазин]</a>
	<a class="razd" href="?a=marat">Активировать мораторий</a>
	<a class="razd" href="?a=marat_end">Отключить мораторий</a>
	<a class="razd" href="?a=sovet">Отключить подсказки</a>
	<a class="razd" href="?a=change_profile">Ваша анкета</a>
	<a class="razd" href="?a=change_pass">Изменить пароль</a>

	<a class="razd" href="?a=change_sw">Изменить секретное слово</a>
	<a class="razd" href="?a=change_mail">Изменить Email</a>
	<a class="razd" href="?a=change_massages">Кол-во сообщений на странице</a>
	<a class="razd" href="?a=glav">Упростить главную страницу</a>
	<a class="razd" href="?a=help">Запустить обучение заново</a>
	<a class="razd" href="?a=clan">Кланы</a>
	<a class="razd" href="./forum.php">Форум';
	$count_themes_forum = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `forum_themes`"),0);
	$count_massages_forum = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `forum_massages`"),0);
	echo ' ('.$count_themes_forum.'/'.$count_massages_forum.')</a>';
	echo '<a class="razd" href="./bag.php"><b>!</b> Ошибки / Предложения <img src="./images/error.png" alt="error"></a> ';
    break;


	 case 'help':
	 echo '<div class="money">';
	 if ($_GET['yes']=='1')
		{
		mysql_query("UPDATE `users` SET `new_guy`='0' WHERE `id`='$id'");
		echo 'Обучение запущено</div><a class="razd" href="./game.php">Далее</a>';
		} else {
	 echo 'Вы хотите заново запустить вступительный гайд по игре?</div>';
	 echo '<a class="razd" href="?a=help&amp;yes=1">Запустить обучение заново</a>';
			   }
	 break;


	  case 'clan':
	 echo '<div class="money">';
	 if (htmlspecialchars($_GET['d'])=='view' OR htmlspecialchars($_GET['d'])=='create')
		{
		//Просмотр кланов
		if (htmlspecialchars($_GET['d'])=='view')
			{
			$the_best_clan = mysql_fetch_array(mysql_query("SELECT `id` FROM `clan` ORDER by `exp` DESC"));
			$sql_c = mysql_query("SELECT * FROM `clan` ORDER by `exp` DESC");
			$count_clans = mysql_result(mysql_query("SELECT count(`id`) FROM `clan`"),0);
			if ($count_clans == '0')
				{
				echo 'Ни одного клана еще не создано</div><a class="razd" href="?a=clan">Вернуться</a>';
				} else
					  {
					  while($res_s=mysql_fetch_assoc($sql_c))
						{

						if ($res_s['img'] != '0') echo '<img src="clan_img/'.$res_s['img'].'.png" alt=*>';
						if ($res_s['img'] == '0') echo '';
						$login_lider = mysql_fetch_array(mysql_query("SELECT `country` FROM `users` WHERE `id`='$res_s[leader]'"));
						$count_in_clan = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `clan`='$res_s[id]'"),0);

						if ($the_best_clan['id']==$res_s['id']) echo '<b>!</b>';

						echo '<b><a href="clans.php?id='.$res_s['id'].'">'.$res_s['title'].'</a></b><br />Страна-лидер: '.$login_lider['country'].'<br />Побед: <b>'.$res_s['wins'].'</b><br />Участников: <b>'.$count_in_clan.'/'.$res_s['members'].'</b><br/>Уровень клана: <b>'.$res_s['level'].'</b></div><div class="money">';
						}
					  }


			echo '</div><a class="razd" href="?a=aclan">Кланы</a>';
			}
		//создание кланов
		if (htmlspecialchars($_GET['d'])=='create')
			{
			echo 'Для создания клана необходимо:<br />- Параметры шпионажа/воровства/саботажа/вербовки не менее 15 каждый<br />
			- Не состоять ни в каком другом клане<br />
			- 50.000 денег<br />';
			$user_clan = mysql_result(mysql_query("SELECT count(id) FROM `users` WHERE `clan`='$id'"),0);
			if ($user['spy'] >= '15' && $user['vor'] >= '15' && $user['verb'] >= '15' && $user['sab'] >= '15' && $user['money']>='50000' && $user_clan == '0')
				{
				if (isset($_POST['title']))
					{
					$title = htmlspecialchars($_POST['title']);
					$error = '';
					if(!preg_match('/^[a-z0-9а-яґіїё_ -]{4,}$/iu', $title)) $error .='В названии клана есть запрещеные символы!<br />';
					$count_title = mb_strlen($title, 'UTF-8');
					if ($count_title < 4 || $count_title > 20) $error .= 'Неверная длина названия (4-20)<br/>';
					$isset_title = mysql_result(mysql_query("SELECT count(`id`) FROM `clan` WHERE `title`='$title'"),0);
					if ($isset_title > '0') $error .= 'Такой клан уже существует<br />';
					if (empty($error))
						{
						echo '</div><div class="money">Клан создан';
						mysql_query("INSERT INTO `clan` SET `leader`='$id',
															`level`='1',
															`members`='3',
															`wins`='0',
															`title`='$title'");
						$id_clan = mysql_insert_id();
						mysql_query("UPDATE `users` SET `money`=money-'50000',`clan`='$id_clan',`clan_time`='$time' WHERE `id`='$id'");
						echo '</div><a class="razd" href="./clan.php">Перейти в панель клана</a>';
						} else echo '<b>Ошибка!</b><br />'.$error;
					}
					else {
				echo 'Ваши параметры для создания клана подходят.</div><div class="money">';
				echo '<form action="" method="POST">
				Название клана:<br />
				<input type="text" name="title" value=""><br />
				<input type="submit" value="Отправить">
				</form>
				';
						 }
				} else
					{
					echo 'Ваши параметры для создания клана не подходят</div><a class="razd" href="?a=clan">Вернуться</a>';
					//if ($user[money]<'50000') echo '<b><a class="razd" href="./shop.php?a=buy">Перейти в магазин</a></b>';
					}
			echo '</div>';
			}
		} else {
	 echo '</div><a class="razd" href="?a=clan&amp;d=view">Просмотр текущих кланов</a>';
	 echo '<a class="razd" href="?a=clan&amp;d=create">Создать клан</a>';
			   }
	 break;


	  case 'glav':
	 if (isset($_GET['lite']) AND (abs($_GET['lite'])=='0' OR abs($_GET['lite'])=='1'))
		{
		echo '<div class="money">';
		if ($user['lite']=='0') mysql_query("UPDATE `users` SET `lite`='1' WHERE `id`='$id'");
		if ($user['lite']=='1') mysql_query("UPDATE `users` SET `lite`='0' WHERE `id`='$id'");
		echo 'Изменения успешно сохранены.</div><a class="razd" href="./profile.php">Вернуться</a>';
		} else {
	 echo '<div class="money">Упростить главную страницу?</div>';
	 if ($user['lite']=='0') echo '<a class="razd" href="?a=glav&amp;lite=1">Упростить</a>';
	 else echo '<a class="razd" href="?a=glav&amp;lite=0">Вернуть как было</a>';
				}
	 break;



	 case 'sovet':
	 if (isset($_GET['lite']) AND (abs($_GET['lite'])=='0' OR abs($_GET['lite'])=='1'))
		{
		echo '<div class="money">';
		if ($user['sovet']=='0') mysql_query("UPDATE `users` SET `sovet`='1' WHERE `id`='$id'");
		if ($user['sovet']=='1') mysql_query("UPDATE `users` SET `sovet`='0' WHERE `id`='$id'");
		echo 'Изменения успешно сохранены.</div><a class="razd" href="./profile.php">Вернуться</a>';
		} else {
	 echo '<div class="money">Отключить подсказки?</div>';
	 if ($user['lite']=='0') echo '<a class="razd" href="?a=sovet&amp;lite=1">Отключить</a>';
	 else echo '<a class="razd" href="?a=sovet&amp;lite=0">Включить подсказки</a>';
				}
	 break;


    case 'view':
    if (intval($_GET[uid])!='0')
    	{
		echo '<div class="money">';

		 $ab = mysql_fetch_array(mysql_query("SELECT `country`,`login`,`authtime`,`win`,`clan`,`id`,`ip`,`post`,`rank` FROM `users` WHERE `id`='".$_GET[uid]."'"));
		 if (abs($ab['id'])=='0') header("Location: game.php");


		if (round($ab['win']/3) >= '0') $rank = 'Сельский дурачок';
		if (round($ab['win']/3) >= '2') $rank = 'Деревенщина';
		if (round($ab['win']/3) >= '3') $rank = 'Простак';
		if (round($ab['win']/3) >= '4') $rank = 'Крестьянин';
		if (round($ab['win']/3) >= '5') $rank = 'Крепостной';
		if (round($ab['win']/3) >= '6') $rank = 'Виллан';
		if (round($ab['win']/3) >= '7') $rank = 'Смерд';
		if (round($ab['win']/3) >= '8') $rank = 'Вольный человек';
		if (round($ab['win']/3) >= '9') $rank = 'Простолюдин';
		if (round($ab['win']/3) >= '10') $rank = 'Тан';
		if (round($ab['win']/3) >= '11') $rank = 'Йомен';
		if (round($ab['win']/3) >= '12') $rank = 'Ольдермен';
		if (round($ab['win']/3) >= '13') $rank = 'Дворянин';
		if (round($ab['win']/3) >= '14') $rank = 'Паж';
		if (round($ab['win']/3) >= '15') $rank = 'Сквайр';
		if (round($ab['win']/3) >= '16') $rank = 'Рыцарь';
		if (round($ab['win']/3) >= '17') $rank = 'Барон ';
		if (round($ab['win']/3) >= '18') $rank = 'Виконт ';
		if (round($ab['win']/3) >= '19') $rank = 'Граф ';
		if (round($ab['win']/3) >= '20') $rank = 'Маркиз';
		if (round($ab['win']/3) >= '21') $rank = 'Герцог ';
		if (round($ab['win']/3) >= '22') $rank = 'Принц ';
		if (round($ab['win']) >= '100') $rank = 'Император ';
		if ($ab['rank'] == 'Админ') $rank = 'Император ';

		$img_rank = round($ab['win']/3);
		if (round($ab['win']) >= '100' AND ($ab['win']/3) > '22') $img_rank = 23;

		if (round(($ab['win']/3)) > '22') $img_rank = 23;


		if ($img_rank == '0') $img_rank = 1;

		if ($ab['rank'] == 'Админ') $img_rank = 23;

		echo '<img src="./img/'.$img_rank.'.png" alt=* align="left">';



if ($ab['clan'] != '0')
			{
			$clan_img = mysql_fetch_array(mysql_query("SELECT `img`,`title` FROM `clan` WHERE `id`='$ab[clan]'"));
			if ($clan_img['img'] != '0') echo '<img src="clan_img/'.$clan_img['img'].'.png" alt=*>';
			if ($clan_img['img'] == '0') echo '';
			}
    	echo ''.$ab[login].'';
    	if(!empty($ab[country]))
    	{
    	if($ab[authtime] > $time)
		{echo ' <font color="green">[Online]</font>';
		}
		else
		{echo ' <font color="red">[Offline]</font>';
		}

		if ($user['rank']=='Админ')
			{
			echo '<hr/>';
			echo 'Персонажи с IP '.$ab[ip].':<br />';
			$sql = mysql_query("SELECT `country`,`id`,`login` FROM `users` WHERE `ip`='$ab[ip]' AND `ip`!='Неизвестно'");
			while($res = mysql_fetch_assoc($sql))
				{
				echo '['.$res[id].'] - '.$res['login'].' ('.$res[country].')<br />';
				}
			echo '<hr>';
			}

		if ($ab['clan'] != '0') echo '<br />Клан: <b>'.$clan_img['title'].'</b>';
    	echo '<br />Страна: <u>'.$ab['country'].'</u><br />
		Ранг: <b>'.$rank.'</b>
		<br />Захватил стран: '.$ab['win'].'
		<br />Постов в чате: '.$ab['post'].'';
		$all_achiev = mysql_result(mysql_query("SELECT count(*) FROM `achieve_name`"),0);
		$his_acviev = mysql_result(mysql_query("SELECT count(*) FROM `achieve` WHERE `user`='".intval($ab['id'])."' AND `see`='1'"),0);
		echo'<br />Достижений: '.$his_acviev.'/'.$all_achiev.'
		<div style="clear: left"></div>
		</div><a class="razd" href="./func.php?answ_msg,'.$_GET[uid].'">Написать личное сообщение</a><a class="razd" href="./chat.php">Ассамблея</a>';

    		} else echo 'Ошибка';
    	} else echo 'Ошибка';
    break;

	case 'change_massages':
	if (isset($_POST['massages']))
    	{
    	$massages = abs(intval($_POST['massages']));
    	if ($massages < '5' OR $massages > '15') $error .= 'Неправильное число (5-15)<br/>';

    	if (empty($error))
    		{

    		echo ' <div class="money">Изменения сохранены</div>';
    		mysql_query("UPDATE `users` SET `massages`='$massages' WHERE `id`='$id'");
    		} else echo ''.$error.'<a href="'.$self.'">Повторить ввод</a>';
    	}
    	 else {
    echo '
    <div class="money"><form method="POST" action="">
    Количество сообщений:<br />
    <input type="text" name="massages" size="4" maxlenght="2" value="'.$user[massages].'"><br />
    <input type="submit" name="1" value="Сменить">
    </form></div>';
         		}
    echo '<a class="razd" href="./profile.php">Вернуться</a>';
	break;



	case 'change_profile':
	echo '<div class="info">';
	if (isset($_POST['about']))
    	{
    	$_POST['about'] = htmlspecialchars($_POST['about']);
    	$count_pass = mb_strlen($_POST['about'], 'UTF-8');
    	$error = '';
    	if ($count_pass > '255' OR $count_pass < '3') $error .= 'Не правильное количество символов (6-36)<br />';

    	if (empty($error))
    		{
    		echo 'Вы успешно изменили информацию о себе';
    		mysql_query("UPDATE `users` SET `about`='".$_POST['about']."' WHERE `id`='$id'");
    		} else echo ''.$error.'<a href="'.$self.'">Повторить ввод</a>';
    	}
    	 else {
    echo '
    <form method="POST" action="">
    Пару слов о себе:<br />
    <textarea name="about" cols="15" rows="5" value="'.htmlspecialchars($user[about]).'"></textarea><br />
    <input type="submit" name="1" value="Сменить">
    </form>
	</div>

    ';
         		}
    echo '<a class="razd" href="./profile.php">Вернуться</a>';
	break;


	case 'change_sw':
	echo '<div class="info">';
	if (isset($_POST['sw']))
    	{
    	$_POST['sw'] = htmlspecialchars($_POST['sw']);
    	$count_pass = mb_strlen($_POST['sw'], 'UTF-8');
    	$error = '';
    	if ($count_pass > '16' OR $count_pass < '3') $error .= 'Не правильное количество символов (3-16)<br />';

    	if (empty($error))
    		{
    		echo 'Вы успешно изменили секретное слово</div>';
    		mysql_query("UPDATE `users` SET `secret_word`='".$_POST['sw']."' WHERE `id`='$id'");
    		} else echo ''.$error.'<a href="'.$self.'">Повторить ввод</a>';
    	}
    	 else {
    echo '
    <form method="POST" action="">
    Новое секретное слово:<br />
   <input type="text" name="sw" maxlenght="16" value=""><br />
    <input type="submit" name="1" value="Сменить">
    </form>
	</div>

    ';
         		}
    echo '<a class="razd" href="./profile.php">Вернуться</a>';
	break;

	case 'change_mail':
	echo '<div class="info">';
	if (isset($_POST['mail']))
    	{
    	$count_pass = mb_strlen($_POST['mail'], 'UTF-8');
    	$error = '';
    	if ($count_pass > '36' OR $count_pass < '6') $error .= 'Не правильное количество символов (6-36)<br />';
    	if(!preg_match("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9-_.]+)?@[a-z0-9]+(?:\.?[a-z0-9-.]+)?\.[a-z]{2,5})$/i", $_POST['mail'])) $error .='Присутствуют запрещенные символы<br />';
    	if (empty($error))
    		{
    		echo 'Email успешно изменен</div>';
    		mysql_query("UPDATE `users` SET `mail`='".$_POST['mail']."' WHERE `id`='$id'");
    		} else echo ''.$error.'<a class="razd" href="'.$self.'">Повторить ввод</a>';
    	}
    	 else {
    echo '

    Текущий Email:<br /><b>'.$user['mail'].'</b></div>
	<div class="info">
    <form method="POST" action="">
	Новый Email:<br />
    <input type="text" name="mail" maxlenght="16" value=""><br />
    <input type="submit" name="1" value="Сменить">
    </form>
	</div>

    ';
         		}
    echo '<a class="razd" href="./profile.php">Вернуться</a>';
	break;



    case 'change_pass':
	echo '<div class="info">';
    if (isset($_POST[pass]))
    	{
    	$count_pass = mb_strlen($_POST[pass], 'UTF-8');
    	$count_pass2 = mb_strlen($_POST[pass2], 'UTF-8');
    	$error = '';
    	if ($count_pass > '16' OR $count_pass < '6' or $count_pass2 > '16' OR $count_pass2 < '6') $error .= 'Не правильное количество символов (6-16)<br />';
    	if(!preg_match('/^[a-z0-9а-яґіїё_ -]{6,}$/iu', $_POST[pass])) $error .='В пароле есть запрещенные символы<br />';
    	if(!preg_match('/^[a-z0-9а-яґіїё_ -]{6,}$/iu', $_POST[pass2])) $error .='В пароле есть запрещенные символы<br />';
    	if ($_POST[pass] != $_POST[pass2])  $error .='Пароли не совпадают<br />';
    	if (empty($error))
    		{
    		echo 'Пароль успешно изменен</div>';
    		mysql_query("UPDATE `users` SET `pass`='".$_POST[pass]."' WHERE `id`='$id'");
    		} else echo ''.$error.'</div><a class="razd" href="'.$self.'">Повторить ввод</a>';
    	}
    	 else {
    echo '

    <form method="POST" action="">
    Новый пароль:<br />
    <input type="text" name="pass" maxlenght="16" value=""><br />
    Подтверждение: <br />
    <input type="text" name="pass2" maxlenght="16" value=""><br />
    <input type="submit" name="1" value="Сменить">
    </form>
	</div>

    <a class="razd" href="./profile.php">Вернуться</a>
    ';
         		}
    break;

	case'marat_end':
	echo '<div class="info">';
	if ($user[marat_end]>time())
		{
	if (intval($_GET[yes])=='1')
		{
		mysql_query("UPDATE `users` SET `marat_end`='0' WHERE `id`='$id'");
		echo 'Вы успешно сбросили мораторий!</div>';
		} else {
	echo 'Вы уверены что хотите сбросить мораторий?</div><a class="razd" href="?a=marat_end&yes=1">Сбросить</a>';
				}
		} else echo 'У вас нет маратория на данный момент</div>';
	echo '<a class="razd" href="./profile.php">Вернуться</a>';
	break;


    case 'marat':
	echo '<div class="info">';
    $last_m= time()-$user[marat_end]-28800;
    if (intval($_GET[act])!='1' AND $last_m > '86400')
    		{


    $seconds = $last_m;
		$h=floor($seconds/3600);
		$m=floor(($seconds%3600)/60);
		$s=($seconds%3600)%60;

        echo 'Последний раз вы включали мораторий ';

		if ($h > 0) echo $h.' ч, ';
		echo $m.' мин, '.$s.' сек';


    echo ' назад ';
    }
	echo '</div>';
    if ($last_m > '86400')
    	{
    	if (intval($_GET[act])=='3' OR intval($_GET[act])=='6' OR intval($_GET[act])=='9')
    		{
    		mysql_query("UPDATE `users` SET `marat_end`='".intval(time()+(intval($_GET[act])*60*60))."' WHERE `id`='$id'");
    		echo '<div class="info">Вы активировали мораторий неприкосновенности на '.$_GET['act'].' ч.</div>';
    		} else {
    echo '<div class="info">Вы уверены что хотите включить мораторий?</div>';
    echo '<a class="razd" href="'.$self.'&amp;act=3">Активировать на 3 часа</a>';
	   echo '<a class="razd" href="'.$self.'&amp;act=6">Активировать на 6 часов</a>';
	      echo '<a class="razd" href="'.$self.'&amp;act=9">Активировать на 9 часов</a>';
    				}
    	} else echo '<div class="info">Вы не можете включать мораторий чаще раза в сутки</div>';
    	echo '<a class="razd" href="./profile.php">Вернуться</a>';
    break;
	}

echo '
<div class="info">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';


?>